CREATE procedure [C6MartPeriodico].[RP_DM_ANAG_PRODOTTI_VALUTE_20160506_PK]
AS
BEGIN
	SET NOCOUNT ON;	
	DECLARE @ID_ELAB INT
	DECLARE @TIPO_ELAB VARCHAR(1)
	SET @ID_ELAB = C6MARTPERIODICO.GETIDELAB()
	SET @TIPO_ELAB = C6MARTPERIODICO.GETTIPOELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_DM_ANAG_PRODOTTI_VALUTE',
		GETDATE(),
		'Elaborazione trimestrale'
	) 
	TRUNCATE TABLE [C6MartPeriodico].ANAG_PRODOTTI_VALUTE
	INSERT INTO [C6MartPeriodico].[ANAG_PRODOTTI_VALUTE]
	SELECT /*pkDISTINCTpk*/ --added by pk 20160506 
		CATITEMREF.CATALOGUEID AS COD_PRODOTTO,
		VALUTE.DIVISA,
		CAST (VALUTE.PESO AS DECIMAL (6,3)),
		@ID_ELAB AS ID_ELAB,
		@TIPO_ELAB AS TIPO_ELAB
	FROM C6STAGINGPERIODICO.RP_CATALOGOPRODOTTI CATITEMREF
	INNER JOIN (
		SELECT CATITEMREF.CATALOGUEID, MAX(ChiaveProdotto) AS ChiaveProdotto
		FROM C6STAGINGPERIODICO.RP_CATALOGOPRODOTTI CATITEMREF
		GROUP BY CATITEMREF.CATALOGUEID
	) DOPPICATITEMREF ON CATITEMREF.ChiaveProdotto = DOPPICATITEMREF.ChiaveProdotto
	INNER JOIN 
		[C6StagingPeriodico].[RP_RDR_VALUTE_DB_DTGIORNALIERI] VALUTE
	ON VALUTE.CHIAVEPRODOTTO = CATITEMREF.ChiaveProdotto
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_DM_ANAG_PRODOTTI_VALUTE' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_DM_ANAG_PRODOTTI_VALUTE'
		)
END